Download it now!
Bug 81547 - Format data series in 3D chart crashes LO
Summary: Format data series in 3D chart crashes LO
Status: RESOLVED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Chart (show other bugs)
Version:
(earliest affected)
4.3.0.3 rc
Hardware: All All
: high major
Assignee: Katarina Behrens
URL:
Whiteboard: target:4.4.0 target:4.3.1
Keywords: haveBacktrace
Depends on:
Blocks:
 
Reported: 2014-07-19 19:17 UTC by Italo Vignoli
Modified: 2014-07-24 20:07 UTC (History)
5 users (show)

See Also:
Crash report or crash signature:


Attachments
bt console from master sources (11.00 KB, text/plain)
2014-07-20 05:01 UTC, Julien Nabet
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Italo Vignoli 2014-07-19 19:17:38 UTC
1. Open a Calc spreadsheet
2. Insert basic data to create a histogram (for example, in column A years 2012, 2013 and 2014, and in column B any number in rows 1, 2 and 3)
3. Highligh the data and clic on the chart icon in the toolbar to create the chart with default settings, with first column as label and 3D look
4. Clic with the pointer on one of the columns, to edit properties such as area colour

At this point, LibreOffice crashes.

Workaround: deselect 3D look, format data series, then re-apply 3D look. Feasible but really annoying.

Tested with LibreOffice 4.3.0.3 on MacOS X, Windows and Ubuntu Linux. Behaviour is the same, independently from operating system.
Comment 1 Italo Vignoli 2014-07-19 19:50:40 UTC
Regression, as the feature is working fine on LibreOffice 4.2.x, at least on MacOS X.
Comment 2 Julien Nabet 2014-07-20 05:01:21 UTC
Created attachment 103129 [details]
bt console from master sources

On pc Debian x86-64 with master sources updated today, I could reproduce this.
I attached a bt
Comment 3 Julien Nabet 2014-07-20 05:29:51 UTC
I noticed these logs on console when entering the chart for editing (related to the pb cause?):
warn:legacy.tools:12979:1:editeng/source/items/textitem.cxx:2003: unequal types
warn:legacy.tools:12979:1:editeng/source/items/textitem.cxx:2003: unequal types
warn:legacy.tools:12979:1:editeng/source/items/textitem.cxx:2003: unequal types

(BTW, I confirm that deselecting 3D indeed can be a workaround)

Kohei/Markus/Eike: one for you?
Comment 4 Katarina Behrens 2014-07-20 13:50:56 UTC
.oO
Comment 5 Commit Notification 2014-07-20 17:57:04 UTC
Katarina Behrens committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=4fa4f3859385072f48c3e3dc1a59d367a6db059d

fdo#81547, part1: use ctor reading .ui file, not a resource



The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds
Affected users are encouraged to test the fix and report feedback.
Comment 6 Commit Notification 2014-07-22 21:27:03 UTC
Katarina Behrens committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=66178fc9dd8427a3bce55feb5ccb7e54c288f8ae

fdo#81547, part2: show only relevant widgets in layout tabpage



The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds
Affected users are encouraged to test the fix and report feedback.
Comment 7 Commit Notification 2014-07-24 12:34:00 UTC
Katarina Behrens committed a patch related to this issue.
It has been pushed to "libreoffice-4-3":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=935a11d018d440318affab5b67feac625d181b66&h=libreoffice-4-3

fdo#81547: prevent crash by reading relevant .ui file


It will be available in LibreOffice 4.3.1.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds
Affected users are encouraged to test the fix and report feedback.